Package io.vertx.rxjava.ext.web.validation.builder

## Class Parameters

- java.lang.Object
- - io.vertx.rxjava.ext.web.validation.builder.Parameters

-     public class Parameters
      extends Object

  In this interface you can find all available `ParameterProcessorFactory` to use in `ValidationHandlerBuilder`.

  To create new schemas using , look at the docs of vertx-json-schema

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Parameters>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Parameters​(Parameters delegate)` |
    `Parameters​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StyledParameterProcessorFactory` | `deepObjectParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates a required deep object parameter.
    `boolean` | `equals​(Object o)` |
    `static StyledParameterProcessorFactory` | `explodedParam​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates a required exploded array parameter.
    `static StyledParameterProcessorFactory` | `explodedParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates a required exploded object parameter.
    `static StyledParameterProcessorFactory` | `explodedParam​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates a required exploded tuple parameter.
    `Parameters` | `getDelegate()` |
    `int` | `hashCode()` |
    `static StyledParameterProcessorFactory` | `jsonParam​(String parameterName, SchemaBuilder builder)` | Creates a required parameter serialized as valid json
    `static Parameters` | `newInstance​(Parameters arg)` |
    `static StyledParameterProcessorFactory` | `optionalDeepObjectParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates an optional deep object parameter.
    `static StyledParameterProcessorFactory` | `optionalExplodedParam​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates an optional exploded array parameter.
    `static StyledParameterProcessorFactory` | `optionalExplodedParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates an optional exploded object parameter.
    `static StyledParameterProcessorFactory` | `optionalExplodedParam​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates an optional exploded tuple parameter.
    `static StyledParameterProcessorFactory` | `optionalJsonParam​(String parameterName, SchemaBuilder builder)` | Creates an optional parameter serialized as valid json
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates a new optional array parameter serialized as comma separated
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, BooleanSchemaBuilder schemaBuilder)` | Creates a new optional boolean parameter
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, NumberSchemaBuilder schemaBuilder)` | Creates a new optional number parameter.
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates an optional object parameter serialized as comma separated, like `key1,value1,key2,value2`
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, SchemaBuilder schemaBuilder, io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)` | Creates an optional parameter providing a
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, StringSchemaBuilder schemaBuilder)` | Creates a new optional string parameter
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates a new optional tuple parameter serialized as comma separated
    `static StyledParameterProcessorFactory` | `optionalSerializedParam​(String parameterName, ArrayParserFactory arrayParserFactory, ArraySchemaBuilder schemaBuilder)` | Creates an optional array parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `optionalSerializedParam​(String parameterName, ObjectParserFactory objectParserFactory, ObjectSchemaBuilder schemaBuilder)` | Creates an optional object parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `optionalSerializedParam​(String parameterName, TupleParserFactory tupleParserFactory, TupleSchemaBuilder schemaBuilder)` | Creates an optional tuple parameter deserializable using the provided parser factory.
    `static ParameterProcessorFactory` | `param​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates a new required array parameter serialized as comma separated
    `static ParameterProcessorFactory` | `param​(String parameterName, BooleanSchemaBuilder schemaBuilder)` | Creates a new required boolean parameter
    `static ParameterProcessorFactory` | `param​(String parameterName, NumberSchemaBuilder schemaBuilder)` | Creates a new required number parameter.
    `static ParameterProcessorFactory` | `param​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates a required object parameter serialized as comma separated, like `key1,value1,key2,value2`
    `static ParameterProcessorFactory` | `param​(String parameterName, SchemaBuilder schemaBuilder, io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)` | Creates a required parameter providing a
    `static ParameterProcessorFactory` | `param​(String parameterName, StringSchemaBuilder schemaBuilder)` | Creates a new required string parameter
    `static ParameterProcessorFactory` | `param​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates a new required tuple parameter serialized as comma separated
    `static StyledParameterProcessorFactory` | `serializedParam​(String parameterName, ArrayParserFactory arrayParserFactory, ArraySchemaBuilder schemaBuilder)` | Creates a required array parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `serializedParam​(String parameterName, ObjectParserFactory objectParserFactory, ObjectSchemaBuilder schemaBuilder)` | Creates a required object parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `serializedParam​(String parameterName, TupleParserFactory tupleParserFactory, TupleSchemaBuilder schemaBuilder)` | Creates a required tuple parameter deserializable using the provided parser factory.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Parameters> __TYPE_ARG

  - ### Constructor Detail

    - #### Parameters

          public Parameters​(Parameters delegate)

    - #### Parameters

          public Parameters​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Parameters getDelegate()

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        NumberSchemaBuilder schemaBuilder)

      Creates a new required number parameter. Depending on the type provided in `schemaBuilder`, the parser will parse the number as `Long` or `Double`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                NumberSchemaBuilder schemaBuilder)

      Creates a new optional number parameter. Depending on the type provided in `schemaBuilder`, the parser will parse the number as `Long` or `Double`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        StringSchemaBuilder schemaBuilder)

      Creates a new required string parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                StringSchemaBuilder schemaBuilder)

      Creates a new optional string parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        BooleanSchemaBuilder schemaBuilder)

      Creates a new required boolean parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                BooleanSchemaBuilder schemaBuilder)

      Creates a new optional boolean parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        ArraySchemaBuilder schemaBuilder)

      Creates a new required array parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                ArraySchemaBuilder schemaBuilder)

      Creates a new optional array parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        TupleSchemaBuilder schemaBuilder)

      Creates a new required tuple parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                TupleSchemaBuilder schemaBuilder)

      Creates a new optional tuple parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        ObjectSchemaBuilder schemaBuilder)

      Creates a required object parameter serialized as comma separated, like `key1,value1,key2,value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                ObjectSchemaBuilder schemaBuilder)

      Creates an optional object parameter serialized as comma separated, like `key1,value1,key2,value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          public static ParameterProcessorFactory param​(String parameterName,
                                                        SchemaBuilder schemaBuilder,
                                                        io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)

      Creates a required parameter providing a
      Parameters:
        `parameterName` -
        `schemaBuilder` -
        `valueParser` -
      Returns:

    - #### optionalParam

          public static ParameterProcessorFactory optionalParam​(String parameterName,
                                                                SchemaBuilder schemaBuilder,
                                                                io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)

      Creates an optional parameter providing a
      Parameters:
        `parameterName` -
        `schemaBuilder` -
        `valueParser` -
      Returns:

    - #### jsonParam

          public static StyledParameterProcessorFactory jsonParam​(String parameterName,
                                                                  SchemaBuilder builder)

      Creates a required parameter serialized as valid json
      Parameters:
        `parameterName` -
        `builder` -
      Returns:

    - #### optionalJsonParam

          public static StyledParameterProcessorFactory optionalJsonParam​(String parameterName,
                                                                          SchemaBuilder builder)

      Creates an optional parameter serialized as valid json
      Parameters:
        `parameterName` -
        `builder` -
      Returns:

    - #### serializedParam

          public static StyledParameterProcessorFactory serializedParam​(String parameterName,
                                                                        ArrayParserFactory arrayParserFactory,
                                                                        ArraySchemaBuilder schemaBuilder)

      Creates a required array parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `arrayParserFactory` -
        `schemaBuilder` -
      Returns:

    - #### optionalSerializedParam

          public static StyledParameterProcessorFactory optionalSerializedParam​(String parameterName,
                                                                                ArrayParserFactory arrayParserFactory,
                                                                                ArraySchemaBuilder schemaBuilder)

      Creates an optional array parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `arrayParserFactory` -
        `schemaBuilder` -
      Returns:

    - #### serializedParam

          public static StyledParameterProcessorFactory serializedParam​(String parameterName,
                                                                        TupleParserFactory tupleParserFactory,
                                                                        TupleSchemaBuilder schemaBuilder)

      Creates a required tuple parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `tupleParserFactory` -
        `schemaBuilder` -
      Returns:

    - #### optionalSerializedParam

          public static StyledParameterProcessorFactory optionalSerializedParam​(String parameterName,
                                                                                TupleParserFactory tupleParserFactory,
                                                                                TupleSchemaBuilder schemaBuilder)

      Creates an optional tuple parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `tupleParserFactory` -
        `schemaBuilder` -
      Returns:

    - #### serializedParam

          public static StyledParameterProcessorFactory serializedParam​(String parameterName,
                                                                        ObjectParserFactory objectParserFactory,
                                                                        ObjectSchemaBuilder schemaBuilder)

      Creates a required object parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `objectParserFactory` -
        `schemaBuilder` -
      Returns:

    - #### optionalSerializedParam

          public static StyledParameterProcessorFactory optionalSerializedParam​(String parameterName,
                                                                                ObjectParserFactory objectParserFactory,
                                                                                ObjectSchemaBuilder schemaBuilder)

      Creates an optional object parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `objectParserFactory` -
        `schemaBuilder` -
      Returns:

    - #### explodedParam

          public static StyledParameterProcessorFactory explodedParam​(String parameterName,
                                                                      ArraySchemaBuilder schemaBuilder)

      Creates a required exploded array parameter. Exploded parameters looks like `parameterName=item1 ¶meterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalExplodedParam

          public static StyledParameterProcessorFactory optionalExplodedParam​(String parameterName,
                                                                              ArraySchemaBuilder schemaBuilder)

      Creates an optional exploded array parameter. Exploded parameters looks like `parameterName=item1 ¶meterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### explodedParam

          public static StyledParameterProcessorFactory explodedParam​(String parameterName,
                                                                      TupleSchemaBuilder schemaBuilder)

      Creates a required exploded tuple parameter. Exploded parameters looks like `parameterName=item1 ¶meterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalExplodedParam

          public static StyledParameterProcessorFactory optionalExplodedParam​(String parameterName,
                                                                              TupleSchemaBuilder schemaBuilder)

      Creates an optional exploded tuple parameter. Exploded parameters looks like `parameterName=item1 ¶meterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### explodedParam

          public static StyledParameterProcessorFactory explodedParam​(String parameterName,
                                                                      ObjectSchemaBuilder schemaBuilder)

      Creates a required exploded object parameter. Exploded parameters looks like `key1=value1&key2=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalExplodedParam

          public static StyledParameterProcessorFactory optionalExplodedParam​(String parameterName,
                                                                              ObjectSchemaBuilder schemaBuilder)

      Creates an optional exploded object parameter. Exploded parameters looks like `key1=value1&key2=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### deepObjectParam

          public static StyledParameterProcessorFactory deepObjectParam​(String parameterName,
                                                                        ObjectSchemaBuilder schemaBuilder)

      Creates a required deep object parameter. Deep object parameters looks like `parameterName[key1]=value1 ¶meterName[key2]=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalDeepObjectParam

          public static StyledParameterProcessorFactory optionalDeepObjectParam​(String parameterName,
                                                                                ObjectSchemaBuilder schemaBuilder)

      Creates an optional deep object parameter. Deep object parameters looks like `parameterName[key1]=value1 ¶meterName[key2]=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### newInstance

          public static Parameters newInstance​(Parameters arg)